Vouchers - The Ultimate Voucher Plugin 2.3.0

An easy to use voucher plugin, completely GUI based.

  1. KiranHart
    Native Minecraft Version:
    1.13
    Tested Minecraft Versions:
    • 1.16
    • 1.17
    • 1.18
    Source Code:
    https://github.com/Tweetzy/Vouchers
    Contributors:
    filasik (Czech translation), SoulStriker_ (Showcase Video)
    Languages Supported:
    Translatable

    [​IMG]

    Vouchers *does* work on 1.8 - 1.15, but I'm not providing support on anything lower than 1.16. Stop using these ancient versions...
    Spigot 1.18 has some problems with the config, use paper or a fork instead

    [​IMG] [​IMG] [​IMG] [​IMG] [​IMG] [​IMG] [​IMG]


    [​IMG]

    [​IMG] [​IMG] [​IMG]

    v1.X Video
    KaiRenXVN, Shahrib, ccorp2002 and 3 others like this.

Recent Updates

  1. Feature / Fix Bug Update
  2. Bug
  3. 1.18.2

Recent Reviews

  1. paulravensky
    paulravensky
    5/5,
    Version: 2.2.1
    Amazing plugin, does exactly what is written on the Spigot page. Easy to set up, even a monkey can handle that. Works on my 1.18.2 server. Highly recommend.
    I have never seen anything like this anywhere before and I am happy that it will be possible on my server! 11/10 !
    1. KiranHart
      Author's Response
      Thanks for the awesome review, I appreciate it!
  2. Kloppie74
    Kloppie74
    4/5,
    Version: 2.1.0
    Good plugin but doesnt work on SpigotMC-1.18.1

    Fix it

    for the plugin himself nice plugin but can you fix this?
  3. Insomnia_Dragon
    Insomnia_Dragon
    4/5,
    Version: 2.0.0
    The Plugin ist very good but i cant add a command. The Plugin Says to any command:"Oups Vouchers 2.0.0 encountered an UnsupportedOperationException! Please check your error.log and report this issue with the information in that file.!"

    The Error File:
    More Information:
    Error clicking in menu MenuNewReward{}
    UnsupportedOperationException (Unknown cause)
    at java.base/java.util.AbstractList.add(AbstractList.java:153)
    at java.base/java.util.AbstractList.add(AbstractList.java:111)
    at Vouchers.jar//ca.tweetzy.vouchers.menu.MenuNewReward.lambda$new$4(MenuNewReward.java:147)
    at Vouchers.jar//ca.tweetzy.vouchers.core.menu.button.Button$2.onClickedInMenu(Button.java:183)
    at Vouchers.jar//ca.tweetzy.vouchers.core.menu.Menu.onButtonClick(Menu.java:1055)
    at Vouchers.jar//ca.tweetzy.vouchers.core.menu.MenuListener.onMenuClick(MenuListener.java:91)
    at com.destroystokyo.paper.event.executor.asm.generated.GeneratedEventExecutor532.execute(Unknown Source)
    at org.bukkit.plugin.EventExecutor.lambda$create$1(EventExecutor.java:69)
    at co.aikar.timings.TimedEventExecutor.execute(TimedEventExecutor.java:80)
    at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:70)
    at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:628)
    1. KiranHart
      Author's Response
      Thanks for the report, but in the future, please use the support discord to post bugs/errors.
  4. Zack_Zack
    Zack_Zack
    4/5,
    Version: 2.0.0
    Make it 1.8 pleaseee, its suchhh a great plugin. Pleaseee!!
    Used this plugin sooo many times and its beautiful!!!!!
    1. KiranHart
      Author's Response
      It does work on 1.8+, I'm just not providing support on anything lower than 1.16
  5. Debtless
    Debtless
    1/5,
    Version: 2.0.0
    2.0 Is broken, no reload command within the plugin, data file not present, can't make vouchers, all kind of issues and the plugin just doesn't work.
    1. KiranHart
      Author's Response
      Literally the only claim here that is correct is the reload command not being present. Everything else is a just a blatant lie because you don’t seem to understand the concept of reading update notes, especially for a major update.
  6. The_osher
    The_osher
    5/5,
    Version: 2.0.0
    We've been waiting for this update such a long time! good job Kiran! this is the best Vouchers plugin in Spigot!
    1. KiranHart
      Author's Response
      Thank you for the 5 stars, glad you like the plugin!
  7. EternalWolff
    EternalWolff
    5/5,
    Version: 1.8.1
    This plugin is alot better then most you have to pay for, but i have some suggestions and questions, but the discord link seems to be expired. Does anyone know the discord link?
    1. KiranHart
      Author's Response
  8. Exer26
    Exer26
    5/5,
    Version: 1.8.1
    Thanks for the 1.18.1 update! Keep it coming!
    What an EXCELLENT plugin and very easy to use!
    1. KiranHart
      Author's Response
      Thank you for the 5 star rating :)
  9. red_kk
    red_kk
    5/5,
    Version: 1.8.0
    thanks for the update to 1.18 love this plugin keep up the good work <3 <3 <3 <3
    1. KiranHart
      Author's Response
      Thanks for the 5 stars :)
  10. Shahrib
    Shahrib
    2/5,
    Version: 1.7.4
    Author I need a help I installed the plugin and when I write /vouchers it just gives a message I am oped and all checked please reply me about the issue then I will rate 5 stars
    1. KiranHart
      Author's Response
      That’s how the plugin works (v1.0), v2.0 will now just bring up a listing menu.